Package net.snowflake.client.core.json

## Class Converters

- java.lang.Object
- - net.snowflake.client.core.json.Converters

    public class Converters
    extends Object

### Constructor Summary

Constructors

`Converters​(TimeZone sessionTimeZone, SFBaseSession session, long resultVersion, boolean honorClientTZForTimestampNTZ, boolean treatNTZAsUTC, boolean useSessionTimezone, boolean formatDateWithTimeZone, net.snowflake.common.core.SFBinaryFormat binaryFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter, net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter)`

`Converters​(SFBaseSession session, SnowflakeResultSetSerializableV1 resultSetSerializable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Converter` `arrayConverter​(com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
`Converter` `bigDecimalConverter​(int columnType)`
`Converter` `bigIntConverter​(int columnType)`
`Converter` `booleanConverter​(int columnType)`
`Converter` `bytesConverter​(int columnType, int scale)`
`Converter` `dateFromIntConverter​(TimeZone tz)`
`Converter` `dateStringConverter​(SFBaseSession session)`
`Converter` `doubleConverter​(int columnType)`
`Converter` `floatConverter​(int columnType)`
`BooleanConverter` `getBooleanConverter()`
`BytesConverter` `getBytesConverter()`
`DateTimeConverter` `getDateTimeConverter()`
`NumberConverter` `getNumberConverter()`
`StringConverter` `getStringConverter()`
`StructuredTypeDateTimeConverter` `getStructuredTypeDateTimeConverter()`
`Converter` `integerConverter​(int columnType)`
`Converter` `longConverter​(int columnType)`
`Converter` `smallIntConverter​(int columnType)`
`Converter` `structConverter​(com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
`Converter` `timeFromIntConverter​(int scale)`
`Converter` `timeFromStringConverter​(SFBaseSession session)`
`Converter` `timestampFromStringConverter​(int columnSubType, int columnType, int scale, SFBaseSession session, TimeZone tz, TimeZone sessionTimezone)`
`Converter` `timestampFromStructConverter​(int columnType, int columnSubType, TimeZone tz, int scale)`
`Converter` `tinyIntConverter​(int columnType)`
`Converter` `varcharConverter​(int columnType, int columnSubType, int scale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Converters

    public Converters​(TimeZone sessionTimeZone,
                      SFBaseSession session,
                      long resultVersion,
                      boolean honorClientTZForTimestampNTZ,
                      boolean treatNTZAsUTC,
                      boolean useSessionTimezone,
                      boolean formatDateWithTimeZone,
                      net.snowflake.common.core.SFBinaryFormat binaryFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat dateFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat timeFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat timestampNTZFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat timestampLTZFormatter,
                      net.snowflake.common.core.SnowflakeDateTimeFormat timestampTZFormatter)

#### Converters

    @SnowflakeJdbcInternalApi
    public Converters​(SFBaseSession session,
                      SnowflakeResultSetSerializableV1 resultSetSerializable)

### Method Detail

#### getBooleanConverter

    public BooleanConverter getBooleanConverter()

#### getNumberConverter

    public NumberConverter getNumberConverter()

#### getDateTimeConverter

    public DateTimeConverter getDateTimeConverter()

#### getBytesConverter

    public BytesConverter getBytesConverter()

#### getStringConverter

    public StringConverter getStringConverter()

#### getStructuredTypeDateTimeConverter

    public StructuredTypeDateTimeConverter getStructuredTypeDateTimeConverter()

#### integerConverter

    @SnowflakeJdbcInternalApi
    public Converter integerConverter​(int columnType)

#### smallIntConverter

    @SnowflakeJdbcInternalApi
    public Converter smallIntConverter​(int columnType)

#### tinyIntConverter

    @SnowflakeJdbcInternalApi
    public Converter tinyIntConverter​(int columnType)

#### bigIntConverter

    @SnowflakeJdbcInternalApi
    public Converter bigIntConverter​(int columnType)

#### longConverter

    @SnowflakeJdbcInternalApi
    public Converter longConverter​(int columnType)

#### bigDecimalConverter

    @SnowflakeJdbcInternalApi
    public Converter bigDecimalConverter​(int columnType)

#### floatConverter

    @SnowflakeJdbcInternalApi
    public Converter floatConverter​(int columnType)

#### doubleConverter

    @SnowflakeJdbcInternalApi
    public Converter doubleConverter​(int columnType)

#### bytesConverter

    @SnowflakeJdbcInternalApi
    public Converter bytesConverter​(int columnType,
                                    int scale)

#### varcharConverter

    @SnowflakeJdbcInternalApi
    public Converter varcharConverter​(int columnType,
                                      int columnSubType,
                                      int scale)

#### booleanConverter

    @SnowflakeJdbcInternalApi
    public Converter booleanConverter​(int columnType)

#### dateStringConverter

    @SnowflakeJdbcInternalApi
    public Converter dateStringConverter​(SFBaseSession session)

#### dateFromIntConverter

    @SnowflakeJdbcInternalApi
    public Converter dateFromIntConverter​(TimeZone tz)

#### timeFromStringConverter

    @SnowflakeJdbcInternalApi
    public Converter timeFromStringConverter​(SFBaseSession session)

#### timeFromIntConverter

    public Converter timeFromIntConverter​(int scale)

#### timestampFromStringConverter

    @SnowflakeJdbcInternalApi
    public Converter timestampFromStringConverter​(int columnSubType,
                                                  int columnType,
                                                  int scale,
                                                  SFBaseSession session,
                                                  TimeZone tz,
                                                  TimeZone sessionTimezone)

#### timestampFromStructConverter

    public Converter timestampFromStructConverter​(int columnType,
                                                  int columnSubType,
                                                  TimeZone tz,
                                                  int scale)

#### structConverter

    @SnowflakeJdbcInternalApi
    public Converter structConverter​(com.fasterxml.jackson.databind.ObjectMapper objectMapper)

#### arrayConverter

    @SnowflakeJdbcInternalApi
    public Converter arrayConverter​(com.fasterxml.jackson.databind.ObjectMapper objectMapper)